#!/bin/sh

set -e

MYSQL_PWD="`cat /etc/psa/.psa.shadow`"
export MYSQL_PWD

mysql_client=
for file in /usr/local/psa/mysql/bin/mysql /usr/local/bin/mysql /usr/bin/mysql; do
    if $file -uadmin psa </dev/null >/dev/null 2>&1; then
	mysql_client="$file"
	break
    fi
done

if [ -z "$mysql_client" ]; then
    echo "cannot connect to mysql database"
    exit 1
fi

psa_prefix=
for t in /opt/psa /usr/local/psa; do
    if [ -x "$t/admin/bin/php" ]; then
	psa_prefix="$t"
	break
    fi
done

if [ -z "$psa_prefix" ]; then
    echo "cannot found Plesk PHP engine"
    exit 1
fi

mysql="$mysql_client -uadmin -N -B -r psa" 

num=`$mysql -e "SELECT id FROM key_history WHERE name IS NULL AND filename = '/etc/psa/psa.key' ORDER BY id ASC"`

key_id=`$mysql -e "SELECT plesk_key_id FROM key_history WHERE id = $num"`

key_pwd=`$mysql -e "SELECT options FROM key_history WHERE id = $num"`

echo "Key Info v1.0"
echo "PleskLogin"
echo "PleskPassword"
"$psa_prefix/admin/bin/php" -r 'echo "https://" . (iskeyprop("keyserver_host")?getkeyprop("keyserver_host"):"ka.swsoft.com") . ":5224/\n";'
echo "$key_id"
echo "$key_pwd"
